Skip to main content
Version: 2.3.0

Get list of document types

Updated date: 18/08/2026
Updated by: VNPT eContract's team


Purpose​

The function retrieves information about the list of document types.

  • Request URL: /api/document-types
  • HTTP method: GET
  • Authorize: Bearer token
  • Parameter: Not required, but additional options can be added below to filter or search the list of document types.
KeyTypeDescription
searchstringSearch information by code or name of document type
pageintPage number (default is 1)
pagesizeintPage size (default is 10 records)

Sample request​

Query param:
page: 1
pageSize: 10
search: HD-LAODONG
Request: /api/document-types?page=1&pageSize=10&search=HD-LAODONG

Sample response body​

{
"data": {
"items": [
{
"id": 1085,
"code": "LABOR",
"name": "Labor contract",
"processTemplate": {
"id": 1089,
"createdDate": "2022-09-12T10:29:23.4146356",
"processInOrder": false,
"isPublic": false,
"items": []
},
"documentCount": 4,
"enableVnptSeal": true,
"requireVerifiedUserSigning": true
},
],
"totalCount": 1,
"pageCount": 2,
"page": 1,
"pageSize": 10,
"hasNextPage": true,
"hasPreviousPage": false
},
"success": true,
"code": 0,
"messages": []
}

Response Body Description​

KeyTypeDescription
successbooleanResponse status (true: Success, false: Failure)
codeintResponse code from the system
messagesarrayList of messages or errors returned by the system
dataobjectObject containing the list of document types and pagination information (see details below)

Details of data:​

KeyTypeDescription
itemsarrayList of document types (Array[object]) (see details below)
totalCountintTotal number of records found
pageCountintTotal number of pages
pageintCurrent page
pageSizeintNumber of records per page
hasNextPagebooleanWhether there is a next page (true: Yes, false: No)
hasPreviousPagebooleanWhether there is a previous page (true: Yes, false: No)

Details of items:​

The list contains document type objects with the following properties for each element:

KeyTypeDescription
idintDocument type ID
codestringDocument type code
namestringDocument type name
processTemplateobjectInformation about the default process template applied to this document type:
{
    "id": "Process template ID",
    "createdDate": "Process template creation time (ISO 8601)",
    "processInOrder": "Process in order (boolean)",
    "isPublic": "Public status (boolean)"
}
documentCountintNumber of documents currently belonging to this document type
enableVnptSealbooleanVNPT SEAL message authentication (true: Enabled, false: Disabled)
requireVerifiedUserSigningbooleanRequires the signer to have verified their identity (true: Verification required, false: Verification not required)